<?php

return array(
    'shop_reviewsplus_entity' => array(
       'id' => array('int', 11, 'null' => 0, 'autoincrement' => 1),
        'entity' => array('varchar', 50, 'null' => 0),
        'entity_id' => array('varchar', 255, 'null'  => 0, 'default' => NULL),
        'name' => array('varchar', 50, 'null' => 0),
        'type' => array('enum', "'single','multiple'", 'null' => 0, 'default' => 'single'),
        ':keys' => array(
            'PRIMARY' =>   array('id'),
            'UK_ENTITY' => array('entity', 'entity_id', 'unique' => 1),
            'INDEX' =>     array('entity'),
        ), 
    ),
    'shop_reviewsplus_fields' => array(
        'id' => array('int', 11, 'null' => 0, 'autoincrement' => 1),
        'key' => array('varchar', 50, 'null' => 0),
        'name' => array('varchar', 50, 'null' => 0,),
        'entity' => array('varchar', 50, 'null' => 0),
        'entity_id' => array('varchar', 255, 'null'  => 0, 'default' => NULL),
        'required' => array('tinyint', 1, 'null' => 0, 'default' => '1'),        
        'delete' => array('tinyint', 1, 'null' => 0, 'default' => '1'),
        'show' => array('tinyint', 1, 'null' => 0, 'default' => '1'),
        'type' => array('enum', "'rate','text','textarea'", 'null' => 0, 'default' => 'rate'),
        'func' => array('enum', "'main','dop'", 'null' => 0, 'default' => 'dop'),
        'sort' => array('tinyint', 3, 'null' => 0, 'default' => '0'),        
        ':keys' => array(
            'PRIMARY' => array('id'),
            'INDEX' => array('key'),
            'UK_ENTITY' => array('key', 'entity', 'entity_id', 'unique' => 1),
        ),
    ),
    'shop_reviewsplus_product_moderated' => array(
        'id' => array('int', 11, 'null' => 0, 'autoincrement' => 1),
        'auth_provider' => array('enum', "'user', 'guest'", 'null' => 0, 'default' => 'guest'),
        'contact_id' => array('int', 11, 'default' => NULL),
        'name' => array('varchar', 50, 'default' => NULL),
        'email' => array('varchar', 50, 'default' => NULL),
        'product_id' => array('int', 11, 'null' => 0, 'default' => NULL),
        'rate' => array('decimal', "3,2", 'default' => 0.0),
        'site' => array('varchar', 100, 'default' => NULL),
        'text' => array('text', 'default' => NULL),
        'title' => array('varchar', 255, 'default' => NULL),
        'datetime' => array('datetime'),
        'ip' => array('int', 11, 'default' => NULL),
        'spam' => array('tinyint', 2, 'default' => 0),
        ':keys' => array(
            'PRIMARY' => array('id'),
        ),
    ),
    'shop_reviewsplus_product_moderated_data' => array(
        'product_id' => array('int', 11, 'null' => 0, 'default' => 0),
        'review_id' => array('int', 11, 'null' => 0, 'default' => 0),
        'field_id' => array('int', 11, 'null' => 0, 'default' => 0),
        'value' => array('text', 'default' => NULL),
        ':keys' => array(
            'PRIMARY' => array('product_id','review_id', 'field_id'),
            'IDX_product_id_review_id' => array('product_id', 'review_id'),
            'IDX_product_id' => array('product_id'),
            'IDX_review_id' => array('review_id'),
            'IDX_field_id' => array('review_id'),
        ),
    ),
    'shop_reviewsplus_product_reviews_data' => array(
        'product_id' => array('int', 11, 'null' => 0, 'default' => 0),
        'review_id' => array('int', 11, 'null' => 0, 'default' => 0),
        'field_id' => array('int', 11, 'null' => 0, 'default' => 0),
        'value' => array('text', 'default' => NULL),
        ':keys' => array(
            'PRIMARY' => array('product_id','review_id', 'field_id'),
            'IDX_product_id_review_id' => array('product_id', 'review_id'),
            'IDX_product_id' => array('product_id'),
            'IDX_review_id' => array('review_id'),
            'IDX_field_id' => array('review_id'),
        ),
    ),
    'shop_reviewsplus_moderated' => array(
        'id' => array('int', 11, 'null' => 0, 'autoincrement' => 1),
        'auth_provider' => array('enum', "'user', 'guest'", 'null' => 0, 'default' => 'guest'),
        'contact_id' => array('int', 11, 'default' => NULL),
        'name' => array('varchar', 50, 'default' => NULL),
        'email' => array('varchar', 50, 'default' => NULL),
        'product_id' => array('int', 11, 'null' => 0, 'default' => NULL),
        'rate' => array('decimal', "3,2", 'default' => 0.0),
        'site' => array('varchar', 100, 'default' => NULL),
        'text' => array('text', 'default' => NULL),
        'title' => array('varchar', 255, 'default' => NULL),
        'datetime' => array('datetime'),
        'ip' => array('int', 11, 'default' => NULL),
        'spam' => array('tinyint', 2, 'default' => 0),
        ':keys' => array(
            'PRIMARY' => array('id'),
        ),
    ),
    'shop_reviewsplus_single' => array(
        'id' => array('int', 11, 'null' => 0, 'autoincrement' => 1),
        'entity_id' => array('int', 11, 'null' => 0),
        'auth_provider' => array('enum', "'user', 'guest'", 'null' => 0, 'default' => 'guest'),
        'contact_id' => array('int', 11, 'default' => NULL),
        'name' => array('varchar', 50, 'default' => NULL),
        'email' => array('varchar', 50, 'default' => NULL),
        'rate' => array('decimal', "3,2", 'default' => 0.0),
        'site' => array('varchar', 100, 'default' => NULL),
        'text' => array('text', 'default' => NULL),
        'title' => array('varchar', 255, 'default' => NULL),
        'datetime' => array('datetime'),
        'ip' => array('int', 11, 'default' => NULL),
        'spam' => array('tinyint', 2, 'default' => 0),
        ':keys' => array(
            'PRIMARY' => array('id'),
        ),
    ),
    'shop_reviewsplus_reviews_multiple' => array(
        'id' => array('int', 11, 'null' => 0, 'autoincrement' => 1),
        'base_entity_id' => array('int', 11, 'null' => 0),
        'entity_id' => array('int', 11, 'null' => 0, 'default' => 0),
        'auth_provider' => array('enum', "'user', 'guest'", 'null' => 0, 'default' => 'guest'),
        'contact_id' => array('int', 11, 'default' => NULL),
        'name' => array('varchar', 50, 'default' => NULL),
        'email' => array('varchar', 50, 'default' => NULL),
        'rate' => array('decimal', "3,2", 'default' => 0.0),
        'site' => array('varchar', 100, 'default' => NULL),
        'text' => array('text', 'default' => NULL),
        'title' => array('varchar', 255, 'default' => NULL),
        'datetime' => array('datetime'),
        'ip' => array('int', 11, 'default' => NULL),
        'spam' => array('tinyint', 2, 'default' => 0),
        ':keys' => array(
            'PRIMARY' => array('id'),
        ),
    ),

);
